﻿#pragma strict
import Vectrosity;

var lineMaterial : Material;

function Start () {
	var cubePoints = [Vector3(-0.51, -0.51, 0.51), Vector3(0.51, -0.51, 0.51), Vector3(-0.51, 0.51, 0.51), Vector3(-0.51, -0.51, 0.51), Vector3(0.51, -0.51, 0.51), Vector3(0.51, 0.51, 0.51), Vector3(0.51, 0.51, 0.51), Vector3(-0.51, 0.51, 0.51), Vector3(-0.51, 0.51, -0.51), Vector3(-0.51, 0.51, 0.51), Vector3(0.51, 0.51, 0.51), Vector3(0.51, 0.51, -0.51), Vector3(0.51, 0.51, -0.51), Vector3(-0.51, 0.51, -0.51), Vector3(-0.51, -0.51, -0.51), Vector3(-0.51, 0.51, -0.51), Vector3(0.51, 0.51, -0.51), Vector3(0.51, -0.51, -0.51), Vector3(0.51, -0.51, -0.51), Vector3(-0.51, -0.51, -0.51), Vector3(-0.51, -0.51, 0.51), Vector3(-0.51, -0.51, -0.51), Vector3(0.51, -0.51, -0.51), Vector3(0.51, -0.51, 0.51)];
	
	var line = new VectorLine(transform.name, cubePoints, Color.black, lineMaterial, 5.0);
	
	VectorManager.useDraw3D = true;
	VectorManager.ObjectSetup (gameObject, line, Visibility.Dynamic, Brightness.None, false);
	
	transform.localScale = Vector3.zero;
}

private var modifier:float = 6.0f;
function Update () {
	transform.localScale.x = Mathf.Clamp(transform.localScale.x + Time.deltaTime * modifier, 0, 1);
	transform.localScale.y = Mathf.Clamp(transform.localScale.y + Time.deltaTime * modifier, 0, 1);
	transform.localScale.z = Mathf.Clamp(transform.localScale.z + Time.deltaTime * modifier, 0, 1);
}