﻿#pragma strict

public var currentLevel:int = 1;

private var tm:TextMesh;
function Start () {
	tm = GetComponent(TextMesh);
	
	tm.text += PlayerPrefs.GetFloat("Score"+currentLevel.ToString(),0.00f).ToString() + "%";
}

function Update () {
	var y:float = MouseToWorldSpaceY();

	if (y < renderer.bounds.max.y && y > renderer.bounds.min.y) {
		tm.color = Color.gray;
		
		if (Input.GetMouseButtonDown(0)) {
			PlayerPrefs.SetInt("CurrentLevel", currentLevel);
			Application.LoadLevel("Main");
		}
	}
	else {
		tm.color = Color.white;
	}
}

private function MouseToWorldSpaceY():float {
	var y:float = Input.mousePosition.y;
	
	y = y - Screen.height / 2.0f;
	
	return y * Camera.main.orthographicSize * 2.0f / (Screen.height * 1.0f);
}