﻿#pragma strict

private var arrow:GameObject;
public var selectedColor:int = 1;
public var cam:Camera;

function Start () {
	arrow = GameObject.Find("Arrow");
}

private var height:float = 6.0f * 2;
private var baseHeight:float = 2.5;
private var viewWidth:float = 0.65f;

function Update () {
	transform.position.z = cam.orthographicSize * -1.0f;

	if (Input.GetKey(KeyCode.Alpha1) || Input.GetKey(KeyCode.Keypad1)) {
		arrow.transform.localPosition.x = -2.5f + 0.0;
		selectedColor = 1;
	}
	else if (Input.GetKey(KeyCode.Alpha2) || Input.GetKey(KeyCode.Keypad2)) {
		arrow.transform.localPosition.x = -2.5f + 1.0;
		selectedColor = 2;
	}
	else if (Input.GetKey(KeyCode.Alpha3) || Input.GetKey(KeyCode.Keypad3)) {
		arrow.transform.localPosition.x = -2.5f + 2.0;
		selectedColor = 3;
	}
	else if (Input.GetKey(KeyCode.Alpha4) || Input.GetKey(KeyCode.Keypad4)) {
		arrow.transform.localPosition.x = -2.5f + 3.0;
		selectedColor = 4;
	}
	else if (Input.GetKey(KeyCode.Alpha5) || Input.GetKey(KeyCode.Keypad5)) {
		arrow.transform.localPosition.x = -2.5f + 4.0;
		selectedColor = 5;
	}
	else if (Input.GetKey(KeyCode.Alpha6) || Input.GetKey(KeyCode.Keypad6)) {
		arrow.transform.localPosition.x = -2.5f + 5.0;
		selectedColor = 6;
	}
}